/* General CSS */
*{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
body,*,p,a{
    margin: 0;
    padding: 0;
}

/*  fonts */
@font-face {
  font-family: 'STIX2Text-Regular';
  src: url('font/STIX2Text-Regular.otf')  format('opentype'),
    url('font/STIX2Text-Regular.woff') format('woff'),
    url('font/STIX2Text-Regular.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'STIX2Text-Bold';
  src: url('font/STIX2Text-Bold.otf')  format('opentype'),
    url('font/STIX2Text-Bold.woff') format('woff'),
    url('font/STIX2Text-Bold.woff2') format('woff2');
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: 'ComicSansMS';
  src: url('font/ComicSansMS.eot?#iefix') format('embedded-opentype'),
    url('font/ComicSansMS.woff') format('woff'),
    url('font/ComicSansMS.ttf')  format('truetype'),
    url('font/ComicSansMS.svg#ComicSansMS') format('svg');
  font-weight: normal;
  font-style: normal;
}

body{
	font-size: 14px;
    font-family: 'STIX2Text-Regular';
   -moz-user-select: none;
   -khtml-user-select: none;
   -webkit-user-select: none;
   /*
     Introduced in IE 10.
     See http://ie.microsoft.com/testdrive/HTML5/msUserSelect/
   */
   -ms-user-select: none;
   user-select: none;
   background: #444;
}

.allHeader{
    font-size: 14px;
    background: #eaeaea;
    text-align: center;
    height: 28px;
    color: #244A5A;
    line-height: 25px;
    padding-top: 2px;
}

#outerContainer,#mainContainer{
	position: relative;
    height: 600px;
    width: 770px;
    margin: 0 auto;
    background: #ffffff;
    overflow: hidden;
}

#control_contents > label{
	display: block;
    cursor: pointer;
/*
    padding: 2px 0px 0px 2px;
    width: 150px;
    height: 20px;
    margin-top: 10px;
*/
}
/*
#control_contents > label > span{
    font-size: 14px;    
    color: #244A5A;
    position: relative;
    left: 2px;
    top: 0px;
}
*/



.normalContentColor{
    color: #244A5A;
}


#mainContainer header{
    background: #006699;
    color: #ffffff;
    height: 34px;
    font-size: 16px;
    position: relative;
    z-index: 2;
    font-family: 'STIX2Text-Bold';
}
#mainContainer header p
{
    padding: 7px;
}

#headEquation{
    margin-top: 4px;
    margin-bottom: 19px;
}
/*#showOutlineCB{
    color: #ffffff;
    margin: 0px -7px 3px 5px !important;
    padding: 2px 2px 0px 2px;
}
.pauseCb{
    display: block;
    float: right;
    margin: 3px 10px 3px 5px;
    cursor: pointer;
}*/
/*#showOutlineCB>span, #pauseCB>span {
    position: relative;
    left: 1px;
    top: -2px;
}*/
.checkbox{
    display: inline-block;
    
    background: url('../images/checkbox_normal.png');
    width: 14px;
    height: 15px;
}

#showSectorsCB,#showBarsCB,#autoPauseCB{
    cursor: pointer;
}

.checkbox.selected{
    background: url('../images/checkbox_selected.png');
}

.ui-widget.ui-widget-content {
    border: 0px solid #c5c5c5!important;
    background: #D5D5D5!important;
}
.ui-slider-range{
 background: #006699!important;   
}
.normalContentColor{
    color: #244A5A;
}
.tabindex:focus{
    outline:2px solid #A4C2F0!important;
}

/*#screenshotBtn{
    background: url(../images/screen_shot.svg);
    width: 34px;
    height: 26px;
    position: absolute;
    z-index: 10;
    top: 5px;
    cursor: pointer;
    right: 35px;
}*/
#infoBtn{
    position: absolute;
    width: 27px;
    height: 27px;
    left: 739px;
    cursor: pointer;
    top: 4px;
}

#audioBtn {
    position: absolute;
    width: 27px;
    height: 27px;
    left: 704px;
    cursor: pointer;
    top: 6px;
}

#overlay {
   height: 100%;
    width: 100%!important;
    position: absolute; 
    z-index: 9998; 
    left: 0;
    top: 0;
    display: none;
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0, 0.6);
    overflow-x: hidden; 
    -webkit-transition: 0.5s; 
    -moz-transition: 0.5s; 
    -o-transition: 0.5s; 
    transition: 0.5s;            
}
/*#SolarRB{
    position: absolute;
    padding: 2px 5px 0px 0px;
    width: 105px;
}
#LunarRB{
    position: absolute;
    left: 145px;
    padding: 2px 5px 0px 0px;
    width: 110px;
}*/

/*input[type="radio"]{
    position: absolute;
    visibility: hidden;
}*/

input[type="radio"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 50%;
    width: 16px;
    height: 16px;
    border: 1px solid #244A5A;
    outline: none;
    margin-right: 1px;
    position: relative;
    top: 3px;
    cursor: pointer;
}

input[type="radio"]:checked {
    border: 5px solid #244A5A;
}

input[type="radio"] + div {
    display: inline;
    position: relative;
    /* padding-left: 20px; */
    padding-top: 2px;
    margin: 0px 0px 0px 0px;
    height: 18px;
    z-index: 9;
    cursor: pointer;
    color: #244A5A;
}

.rightRB {
    padding: 2px 5px 0px 0px;
    width: 70px;
    font-size: 13px;
}

.leftRB {
    /* position: absolute; */
    padding: 2px 5px 0px 0px;
    width: 120px;
    /* left: 40px; */
    font-size: 13px;
}

.radioChecked{
  position: absolute;
  background: url(../images/rb.png);
  width: 16px;
  height: 16px;
  top: 0px;
  left: 2px;
  margin: auto;  
}
.radioChecked.selected{
  background: url(../images/rb_selected.png);
}
    
.radio {
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    width: 16px;
    height: 16px;
    background: url(../images/rb.png);
    background-position: center;
    margin-top: -3px;
}

.radio.checked {
    background: url(../images/rb_selected.png);   
}
/* Left Section */
#blankBoxForPlane{
    width: 476px;
    height: 494px;
    position: absolute;
    top: 2px;
    left: 2px;
}
/*#moonDrager{
    position: absolute;
    width: 22px;
    height: 22px;
    background: red;
    opacity: 0.5;
    cursor: pointer;
    z-index: 9999;
}
#moonSlider{
    position: absolute;
    top: 68px;
    left: 98px;
}*/
.rs-path-color{
    background-color: transparent !important;
}

.rs-bg-color{
    background-color: transparent !important;
}
.rs-handle{
    background-color: transparent !important;    
}
.rs-container{
    -webkit-transform: scale(1);
    -o-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);    

}

.rs-border{
    border:0px !important;
}

#leftSection {
    position: absolute;
    width: 480px;
    height: 520px;
    left: 0px;
    /*top: 37px;*/
    color: #ffffff;
    font-family: 'STIX2Text-Bold';
    font-size: 14px;
}

/* Middle Section */
#mainSection{
    width: 585px;
    height: 350px;
    overflow: hidden;
    position: absolute;
    top: -5px;
    left: 0px;
}
/*#gridSection.tabindex:focus{
    outline: none !important;
}*/
#canvas{
    /*margin-left: 10px;
    margin-top: 5px;*/
    
}
/*bottom Section */
#bottomSection{   
    width: 585px;
    height: 130px;
    left: 0px;
    position: absolute;
    bottom: -5px;    
    -webkit-transform: scale(0.87);
    -o-transform: scale(0.87);
    -moz-transform: scale(0.87);
    -ms-transform: scale(0.87);
    transform: scale(0.87);
    z-index: 9996;
}


#slider-vertical{
    height: 342px;
    position: absolute;
    top: 50px;
    right: 18px;
    width: 3px;
}
.ui-slider-handle{
    border: 2px solid #006699 !important;
    border-radius: 9px !important;
    background-color: #ffffff !important;
    width: 18px!important;
    height: 18px!important;
    outline: 0!important;
    cursor: pointer!important;
    color: transparent!important;
    display: inline-block;
}

.ui-slider-range{
 background: #006699!important;   
}

.tab_div{
    float: left;
    width: 100%;
    padding: 0px;
    height: 30px;
    margin-top: 13px;
    border-bottom: 1px solid #244A5A !important;    
}

#introductionTab {
    margin-left: 10px;
}

.tabsSelected {
    background: #ffffff !important;
    border-bottom: none !important;
    cursor: default !important;
}

#tab3 {
    border: 0px solid #244A5A !important;
    border-top: none !important;
    border-radius: 0px !important;
    height: 520px;
    width: 100%;
    color: #ffffff;
    background-color: #001f3e;
    /*padding: 20px !important;*/
    top: 81px;
    position: absolute;
}

#tab1, #tab2{
    border: 0px solid #244A5A !important;
    border-top: none !important;
    border-radius: 0px !important;
    height: 520px;
    width: 100%;
    color: #ffffff;
    background-color: #001f3e;
    padding: 20px !important;
    top: 81px;
    display: none;
    position: absolute;
}
.tabText {
    overflow-y: auto;
}

.tabs {
    width: 110px;
    height: 30px;
    border: 1px solid #244A5A;
    border-radius: 4px 4px 0px 0px;
    text-align: center;
    float: left;
    padding: 5px 0px;
    text-decoration: none;
    cursor: pointer;
    background: #f6f6f6;
    font-weight: normal;
    color: #454545;
}

.ui-tabs .ui-tabs-nav .ui-tabs-anchor {
    width: 100% !important;
    height: 30px;
    border: 1px solid #244A5A;
    border-radius: 4px 4px 0px 0px;
    text-align: center;
    float: left;
    padding: 5px 0px;
    text-decoration: none;
}

.ui-tabs .ui-tabs-panel {
    
}
.tab_div #tab1, .tab_div #tab2, .tab_div #tab3, .tab_div #tab4, .tab_div #tab5 {
    border: 0px solid #244A5A !important;
    border-top: none !important;
    border-radius: 0px !important;
   /* height: 496px;*/
	height: 518px;
    color: #ffffff;
    background-color: #001f3e;
    padding: 20px !important;
    margin-top: 5px;
}
.ui-tabs .ui-tabs-nav
{
    margin: 0px;
    padding-left: 10px;
    height: 33px;
    border-bottom: 1px solid #244A5A !important;
    border-radius: 0px !important
}
.ui-tabs .ui-tabs-nav li {
    width: 15%;
    margin: 0px;
    
}
.ui-tabs .ui-tabs-nav li.ui-tabs-active .ui-tabs-anchor{
    border-bottom: none;
}
.ui-tabs .ui-tabs-nav li.ui-tabs-active {   
    padding-bottom: 0px;
}
.ui-tabs .ui-tabs-nav li {
    border: none;
}
/* Bottom Section */
#bottomCtrls {
    
    width: 770px;
    height: 110px;    
    left:00px;
    padding-top: 5px;
    top: 411px;
    position: absolute;
    background-color:white;
}

.hidepause {
    display: none;
}

#bottomCtrls #control_contents > div  {
    
    float: left;        
    color:#244A5A;	
}

.button {
    width: 70px;
    height: 30px;
    margin-right: 14px;
    color: white;
    background-color: #094571;
    border-radius: 5px;
    text-align: center;
    font-size: 14px;
    font-family: 'STIX2Text-Regular';
    cursor: pointer;
}

#bottomCtrls #control_contents > div > div {
    padding: 30x;
    text-align: center;
}

#radio-block > label {
    
    padding: 5px 5px 5px 5px;
}
#bottomCtrls #control_contents div#col1, 
#bottomCtrls #control_contents div#col2  {    
    width: 220px;
    padding: 16px 15px 15px 13px;
    height: 105px;
}

div#col1 label, div#col2 label {
    float: left;
    margin-bottom: 8px;
}

#bottomCtrls #control_contents > div#col3  {
    padding-top: 15px;
    width: 22%;
    
}

#bottomCtrls #control_contents > div#col3 > ul:nth-child(1)  {
    width: 23%;
}


#bottomCtrls #control_contents > div#col4 {
    /*width: 24%;*/
	width: 35%;
/*    padding: 55px 10px 10px 10px;*/
}

div#col4 > .col4-in {
    width: 50%;
    float:left;
	padding-top: 10px;
}
div.col4-in label {
    float: left;
    margin-top: 10px;
    /*margin-bottom: 7px;*/
}

#bottomCtrls #control_contents > div#col4 {
    display: block;    
    float: left;
    padding: 5px 15px 5px 15px;
}

div#col5 {
    width: 163px;
}

/* Right Section */
#rightSection {
    width: 180px;
    
    height: 385px;
    border: 2px solid #949494;
    /*background-color: #eaeaea;*/
    position: absolute;
    left: 575px;
    z-index: 9997;
    top: 7px;
    
}

#rightSection .header {
    color: black;
    text-align: center;
	line-height: 30px;
    font-weight: bold;
    font-size: 16px;
}


#barsValue > span
{
	width: 200px;
}
#barsValue > span:nth-child(1) {
	position: absolute;
    padding: 0px;
	left: 0px;
	top: 34px;
    width: 50%;
    text-align: center;
	font-size:17px;
	line-height:10px;
	
}

#barsValue > span:nth-child(2) {
	position: absolute;
    padding: 0px;
	left: 85px;
	top: 34px;
    width: 50%;
    text-align: center;
	font-size:17px;
	line-height:10px;
}

/*#barsValue > span {
    line-height:10px;
    width: 50%;
    text-align: center;
    font-size:17px;
    top: 329px;
}
#barsValue > span:nth-child(1) {
	position: relative;
    left: 29px;
}

#barsValue > span:nth-child(2) {
 position: relative;    
 left: 80px;
}*/

#bars > div {
	position: absolute;
    margin-top: 5px;
    float: left;    
    width: 45%;
    height: 330px;
	
}



#bars > div:nth-child(1) {
    margin-left: 3%;
    background: #CC0000;
	/*transform-origin: bottom;
	transform: scale(1, 0);*/
}
#bars > div:nth-child(2) {
    margin-left: 3%;
    background: rgb(209, 211, 85);
}

.tab_div.ui-widget.ui-widget-content
{
    /*border: 1px solid #244A5A !important;*/
}
.tab_div .ui-state-active a, .ui-state-active a:link, .ui-state-active a:visited {
    color:#244A5A !important;
}
.tab_div .ui-state-active, .tab_div .ui-widget-content .ui-state-active, .tab_div .ui-widget-header .ui-state-active
{
        
    border: none;
    background: #FFFFFF !important
}

.ui-widget {
    font-family: 'STIX2Text-Regular';
    font-size: 14px;
}

#controls> #control_contents{
    padding-left: 5px;
    height: 223px;
    background-color: #ffffff;
}

.ui-widget-header {
    border: 0px solid #000000 !important;
    background: #ffffff !important;
    color: #333333 !important;
    font-weight: bold !important;
}

#dragMeContainer{
    position: absolute;
    width: 740px;
    height: 485px;
    top: 44px;
    left: 5px;
}
#dragMe{
    position: absolute;
    height: 120px;
    width: 250px;
    border: 1px solid #244A5A; 
    border-radius: 5px;
    background-color: #ffffff;
    left: 490px;
    top: 410px;
    z-index: 9998;
    color: #244A5A;
    
}

#dragHeader{
    background: #cbd4cf;
    
    display: block;
    font-weight: bold;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    height: 30px;
}
#dragTitle{    
    float: left;
    width: 225px;
    padding: 5px;
    height: 30px;
    cursor: pointer;
}
#dragClose{
    padding: 5px 7px 5px 5px; 
    float: right;
    font-size: 16px;
    cursor: pointer;
}
#dragContent{
    height: 80px;
    padding: 5px 10px 0px 10px;
    overflow-y: scroll;
    margin-top: 4px;
}


.sliderText{
    display: block;
    padding: 1px;    
    text-align: center;
    margin-bottom: 5px;
    color: #244A5A;
}
.sliderBar{
    width: 72%;
    height: 2px;
    float: left;
    margin-top: 7px;
    margin-left: 8px;
}
.sliderLeft{
    background: url(../images/slider_left-arrow.svg);
    background-repeat: no-repeat;
    height: 16px;
    width: 11px;
    cursor: pointer;
    float: left;
}
.sliderRight{
    background: url(../images/slider_right-arrow.svg);
    background-repeat: no-repeat;
    height: 16px;
    width: 11px;
    cursor: pointer;
    float: right;
}
.sliderArrowDisabled{
    opacity: 0.5;
    cursor: default;
}

.ui-slider-handle{
    border: 2px solid #006699 !important;
    border-radius: 9px !important;
    background-color: #ffffff !important;
    width: 18px!important;
    height: 18px!important;
    outline: 0!important;
    cursor: pointer!important;
    color: transparent!important;
    display: inline-block;
    top: -8px !important;
    overflow: hidden;
}

.ui-slider-range{
 background: #006699!important;   
}

.solarDisplay{
    width: 268px;
    height: 245px;
}


.phase{
    display: block;
    float: left;
    margin: 3px 5px 3px 5px;
}


.sliderWrap{
    display: inline-block;
    padding: 5px 10px;
    width: 100%;
}

.solar_lunar
{
    padding: 15px 5px 5px 5px;
    position: absolute;
}

.lunar{
    padding-left: 30px;
}

.outline{
        position: absolute;
        margin-top: 213px;
        width: 90%;
}

.umbra{
    display: none;
    float: left;
    margin: 0px 5px 3px 25px;
    color: #ffffff;
}

.notToScale{
    position: absolute;
    top: 10px;
    left: 10px;
}

/*.velocity {
	width:120px;
	position: absolute;
    top: 10px;
    left: 440px;
}

.topView{
    position: absolute;
    top: 10px;
    left: 10px;
}*/

.velocity {
    width:140px;
    position: absolute;
    top: 10px;
    left: 329px;
}

.topView{
    width: 255px;
    position: absolute;
    top: 30px;
    left: 329px;
}

.auText{
	width:100px;
    position: absolute;
	text-align:left;
    top: 375px;
    left: 15px;
	font-size:15px;
}
.auBottom{
	width:180px;
	height: 5px;
    position: absolute;
	text-align:left;
    top: 385px;
    left: 10px;
	border-bottom: 2px solid white;
	border-left: 2px solid white;
	border-right: 2px solid white;
}

/*.timerView{
	width:100px;
    position: absolute;
	text-align:center;
    top: 200px;
    left: 10px;
}*/

.timerView{
    width: 114px;
    position: absolute;
    top: 52px;
    left: 329px;
}

/*.counterView{
	width:100px;
    position: absolute;
	text-align:center;
    top: 220px;
    left: 10px;
    font-size: 32px;
}*/

.counterView{
    width: 100px;
    position: absolute;
    text-align: center;
    top: 50px;
    left: 404px;
    font-size: 20px;
}

.timeView{
	width:150px;
    position: absolute;
	text-align:center;
    top: 375px;
    left: 400px;
}
.tView{
	width:100px;
    position: absolute;
	text-align:right;
    top: 375px;
    left: 450px;
}

.sideView{
    position: absolute;
    top: 350px;
    left: 10px;
}

.node1{
    position: absolute;
    top: 105px;
    left: 203px;  
 
}

.node2{
    position: absolute;
    top: 260px;
    left: 203px;
}


/*Information Section*/
#infoContentPopup{
   position: absolute;
    display: none;
    z-index: 9999;
    width: 100%;
    height: 100%;
    top: 0px;
    color: #fff;
    font-size:14px; 
}
#infoContentPopup>div:focus{
    outline:2px solid #A4C2F0!important;
}

#dialogDesc p:nth-child(1){
    position: absolute;
    top: 45px;
    right: 75px;
    width: 260px;
}
#dialogDesc p:nth-child(2){
    position: absolute;
    top: 115px;
    right: 10px;
    width: 130px;
}

#dialogDesc p:nth-child(3){
    position: absolute;
    top: 150px;
    left: 10px;
    width: 190px;
}
#dialogDesc p:nth-child(4){
    position: absolute;
    top: 220px;
    left: 50px;
    width: 180px;
}
#dialogDesc p:nth-child(5){
    position: absolute;
    top: 135px;
    left: 275px;
    width: 150px;
}
#dialogDesc p:nth-child(6){
    position: absolute;
    bottom: 150px;
    left: 30px;
    width: 120px;
}
#dialogDesc p:nth-child(7){
    position: absolute;
    top: 310px;
    left: 165px;
    width: 160px;
}
#dialogDesc p:nth-child(8){
    position: absolute;
    top: 435px;
    left: 210px;
    width: 140px;
}
#dialogDesc p:nth-child(9){
    position: absolute;
    top: 415px;
    right: 205px;
    width: 185px;
}
#dialogDesc p:nth-child(10){
    position: absolute;
    top: 320px;
    left: 350px;
    width: 170px;
}
#dialogDesc p:nth-child(11){
    position: absolute;
    top: 240px;
    right: 20px;
    width: 190px;
}
#dialogDesc p:nth-child(12){
    position: absolute;
    top: 402px;
    right: 25px;
    width: 135px;
}
#popupCloseBtn{
    width: 26px;
    height: 26px;
    position: absolute;
    cursor: pointer;
    left: 15px;
    top: 545px;
}
#popupCloseBtn p{
    position: absolute;
    left: -3px;
    top: 28px;
}

.tabText p {
    margin-bottom: 13px;
}

.tabText ul {
    padding-left: 15px;
    margin-bottom: 13px;
}

#btnStart{
    margin-top: 8px;
}

.main-btn-div{
    width: 19% !important;
    padding-top: 25px !important;
}

.auto-p-div{
    width: 16% !important;
    padding-top: 21px !important;
}
.col4-in-auto{
    width: 100% !important;   
    margin-left: 32px;
}

.disabled{
    pointer-events: none;
    opacity: 0.5;
}

/*Preloader*/
#loader {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 1;
  width: 100px;
  height: 100px;
  margin: -25px 0 0 -25px;
  border: 5px solid #f3f3f3;
  border-radius: 50%;
  border-top: 5px solid #3498db;
  width: 70px;
  height: 70px;
  text-align:center;
  -webkit-animation: spin 1.5s linear infinite;
  animation: spin 1.5s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* Add animation to "page content" */
.animate-bottom {
  position: relative;
  -webkit-animation-name: animatebottom;
  -webkit-animation-duration: 1s;
  animation-name: animatebottom;
  animation-duration: 1s
}

@-webkit-keyframes animatebottom {
  from { bottom:-100px; opacity:0 } 
  to { bottom:0px; opacity:1 }
}

@keyframes animatebottom { 
  from{ bottom:-100px; opacity:0 } 
  to{ bottom:0; opacity:1 }
}

#info-desc{
    position: absolute;
    top: 110px;
}

#simulationdescription{
    position: absolute;
    top: -190px;
}
#unavailable-div{
    position: absolute;
    width: 380px;
    height: 102px;
    /*border: 1px solid black;*/
    left: 152px;
    display: none;
}
#how-to-list p{
    display: list-item;
    list-style-type: disc;
    list-style-position: inside;
    margin-bottom: 3px;
}
#how-to-list{
    margin-bottom: 13px;
}

#oneAULne{
    border-bottom: 1px solid #ffffff;
    width: 180px;
    height: 6px;
    top: 396px;
    position: absolute;
    left: 10px;
    border-right: 1px solid #ffffff;
    border-left: 1px solid #ffffff;
    display: none;
    opacity: 0.6;
}